org.openmuc.openiec61850

## Class Urcb

- java.lang.Object
- - org.openmuc.openiec61850.ModelNode
  - - org.openmuc.openiec61850.FcModelNode
    - - org.openmuc.openiec61850.FcDataObject
      - - org.openmuc.openiec61850.Rcb
        - - org.openmuc.openiec61850.Urcb

All Implemented Interfaces:
  java.lang.Iterable<ModelNode>

    public class Urcb
    extends Rcb

### Field Summary

### Fields inherited from class org.openmuc.openiec61850.ModelNode

`children, objectReference`

### Constructor Summary

Constructors
Constructor and Description
`Urcb(ObjectReference objectReference, java.util.List<FcModelNode> children)`

### Method Summary

All Methods Instance Methods Concrete Methods
`FcDataObject` `copy()` Returns a copy of model node with all of its children.
`BdaBoolean` `getResv()` Reserve URCB - The attribute Resv (if set to TRUE) shall indicate that the URCB is currently exclusively reserved for the client that has set the value to TRUE.

### Methods inherited from class org.openmuc.openiec61850.Rcb

`getBufTm, getConfRev, getDatSet, getIntgPd, getOptFlds, getRptEna, getRptId, getSqNum, getTrgOps`

### Methods inherited from class org.openmuc.openiec61850.FcModelNode

`getFc, toString`

### Methods inherited from class org.openmuc.openiec61850.ModelNode

`getBasicDataAttributes, getChild, getChild, getChildren, getIterators, getName, getParent, getReference, iterator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### Urcb

    public Urcb(ObjectReference objectReference,
                java.util.List<FcModelNode> children)

### Method Detail

#### getResv

    public BdaBoolean getResv()

Reserve URCB - The attribute Resv (if set to TRUE) shall indicate that the URCB is currently exclusively reserved for the client that has set the value to TRUE. Other clients shall not be allowed to set any attribute of that URCB.

Returns:
  the Resv child

#### copy

    public FcDataObject copy()

Description copied from class: `ModelNode`
Returns a copy of model node with all of its children. Creates new BasicDataAttribute values but reuses ObjectReferences, FunctionalConstraints.

Overrides:
  `copy` in class `FcDataObject`
Returns:
  a copy of model node with all of its children.